Opened 11 years ago

Closed 11 years ago

#364 closed defect (worksforme)

convert all egg directories to the correct layout

Reported by: felix winkelmann Owned by:
Priority: major Milestone:
Component: extensions Version:
Keywords: eggs tags Cc:
Estimated difficulty:

Description (last modified by felix winkelmann)

Some eggs don't have tag directories. To make it easier to obtain version information, these should be created.

These eggs are currently untagged:

epoll
format
free-gettext
rpc
srfi-25
srfi-27-reference
srfi-37
srfi-40
srfi-60
srfi-63
srfi-95
sxml-templates
wiki-parse

Attachments (2)

trunkify (409 bytes) - added by Jim Ursetto 11 years ago.
tagify (160 bytes) - added by Jim Ursetto 11 years ago.

Download all attachments as: .zip

Change History (19)

comment:1 Changed 11 years ago by felix winkelmann

The following eggs don't seem to have tag directories:

args
autoload
colorize
csv
dissector
eggdoc
epeg
epoll
estraier-client
fancypants
fastcgi
format
free-gettext
freetype
ftp
gdbm
getopt-long
hostinfo
htmlprag
input-classes
input-parse
internet-timestamp
ioctl
iset
javahack
json-abnf
json
kanren
loop
make
matchable
md5
mime
mistie
ncurses
neuromorpho
oblist
octave
openssl
operations
packrat
pdf
phoghorn
prometheus
protobj
pty
records
regex-case
rpc
rss
s48-modules
sassy
silex
sparse-vectors
special-case
sql-null
srfi-25
srfi-27-reference
srfi-37
srfi-40
srfi-4-comprehensions
srfi-60
srfi-63
srfi-95
srfi-modules
ssax
static-modules
sxml-fu
sxml-templates
sxml-transforms
sxpath
tabexpand
tcp-server
testeez
test
tiny-prolog
udp
vector-lib
wiki-parse

comment:2 Changed 11 years ago by Mario Domenech Goulart

I have "fixed" some (screwed the history, actually).

Jim said there's a proper way for doing the copy/move and keeping history, but I didn't don't how it (still don't know it).

The ones I touched are:

operations
make
udp
silex
protobj
rss
regex-case
records
octave
json
input-parse
htmlprag
ftp
fastcgi
tabexpand
tcp-server

Here's the ones still missing:

args
autoload
colorize
csv
dissector
eggdoc
epeg
epoll
estraier-client
fancypants
format
free-gettext
freetype
gdbm
getopt-long
hostinfo
input-classes
internet-timestamp
ioctl
iset
javahack
json-abnf
kanren
loop
matchable
md5
mime
mistie
ncurses
neuromorpho
oblist
openssl
packrat
pdf
phoghorn
prometheus
pty
rpc
s48-modules
sassy
sparse-vectors
special-case
sql-null
srfi-25
srfi-27-reference
srfi-37
srfi-40
srfi-4-comprehensions
srfi-60
srfi-63
srfi-95
srfi-modules
ssax
static-modules
sxml-fu
sxml-templates
sxml-transforms
sxpath
testeez
test
tiny-prolog
vector-lib
wiki-parse

comment:3 in reply to:  2 ; Changed 11 years ago by felix winkelmann

Description: modified (diff)

Replying to mario:

I have "fixed" some (screwed the history, actually).

Thanks.

Jim said there's a proper way for doing the copy/move and keeping history, but I didn't don't how it (still don't know it).

This should work:

cd <eggdir>
svn mkdir tags trunk
svn mv <eggname>* trunk
svn cp trunk tags/<version>
svn ci -m "yo dawg"

I converted a couple more (see updated description).

comment:4 in reply to:  3 Changed 11 years ago by Mario Domenech Goulart

Replying to felix:

This should work:

cd <eggdir>
svn mkdir tags trunk
svn mv <eggname>* trunk
svn cp trunk tags/<version>
svn ci -m "yo dawg"

That's basically what I'm doing (I just use mkdir tags trunk && svn add tags trunk instead of svn mkdir tags trunk, but I guess that doesn't make any difference).

comment:5 Changed 11 years ago by Ivan Raikov

Description: modified (diff)

comment:6 Changed 11 years ago by Ivan Raikov

Description: modified (diff)

comment:7 Changed 11 years ago by felix winkelmann

Description: modified (diff)

tagged eggs of alex shinn.

comment:8 Changed 11 years ago by sjamaan

I just converted these:

colorize
eggdoc
epeg
estraier-client
fancypants
md5
openssl
phoghorn
prometheus
sql-null
sxml-fu
sxml-transforms
sxpath

These still remain:

args
epoll
eggdoc
format
free-gettext
hostinfo
pdf
rpc
srfi-25
srfi-27-reference
srfi-37
srfi-40
srfi-60
srfi-63
srfi-95
ssax
sxml-templates
wiki-parse

comment:9 Changed 11 years ago by Jim Ursetto

The recipe given above loses directory history in trunk/ (svn log is truncated) and loses directory and file history in tags/ (svn log foo.scm is truncated).

Attached script trunkify moves everything to a trunk/ structure without losing history.
Attached script tagify is a convenience wrapper to tag an egg.

I converted my eggs args, eggdoc, hostinfo. I fixed the log history in vector-lib (since I am the maintainer). I then did ssax because I was drunk with power.

Remaining:

epoll
format
free-gettext
pdf
rpc
srfi-25
srfi-27-reference
srfi-37
srfi-40
srfi-60
srfi-63
srfi-95
sxml-templates
wiki-parse

Changed 11 years ago by Jim Ursetto

Attachment: trunkify added

Changed 11 years ago by Jim Ursetto

Attachment: tagify added

comment:10 in reply to:  9 ; Changed 11 years ago by felix winkelmann

Replying to zbigniew:

The recipe given above loses directory history in trunk/ (svn log is truncated) and loses directory and file history in tags/ (svn log foo.scm is truncated).

That isn't quite true.

comment:11 Changed 11 years ago by felix winkelmann

Description: modified (diff)

comment:12 in reply to:  10 ; Changed 11 years ago by Jim Ursetto

Replying to felix:

Replying to zbigniew:

The recipe given above loses directory history in trunk/ (svn log is truncated) and loses directory and file history in tags/ (svn log foo.scm is truncated).

That isn't quite true.

It's exactly true. unix-sockets egg post-conversion:

$ ~/chicken-eggs4/unix-sockets/trunk$ svn log
------------------------------------------------------------------------
r19937 | felix | 2010-09-01 09:14:32 -0500 (Wed, 01 Sep 2010) | 1 line

tagged unix-sockets
------------------------------------------------------------------------

$ ~/chicken-eggs4/unix-sockets/tags/1.4$ svn log
------------------------------------------------------------------------
r19937 | felix | 2010-09-01 09:14:32 -0500 (Wed, 01 Sep 2010) | 1 line

tagged unix-sockets
------------------------------------------------------------------------

~/chicken-eggs4/unix-sockets/tags/1.4$ svn log unix-sockets.scm
------------------------------------------------------------------------
r19937 | felix | 2010-09-01 09:14:32 -0500 (Wed, 01 Sep 2010) | 1 line

tagged unix-sockets
------------------------------------------------------------------------

$ ~/chicken-eggs4/unix-sockets/tags$ 

args egg post-conversion:

~/chicken-eggs4/args/trunk$ svn log
------------------------------------------------------------------------
r20097 | zbigniew | 2010-09-04 13:51:36 -0500 (Sat, 04 Sep 2010) | 1 line

args: copy to trunk
------------------------------------------------------------------------
r17555 | zbigniew | 2010-03-12 15:21:40 -0600 (Fri, 12 Mar 2010) | 1 line

args 1.4.2: drop broken args:make-operand-proc
------------------------------------------------------------------------
r17554 | zbigniew | 2010-03-12 14:31:56 -0600 (Fri, 12 Mar 2010) | 1 line

args: v1.4.1: allow numeric options (thanks to Sean D'Epagnier)

...

$ ~/chicken-eggs4/args/tags/1.4.2$ svn log
------------------------------------------------------------------------
r20103 | zbigniew | 2010-09-04 13:58:17 -0500 (Sat, 04 Sep 2010) | 1 line

args: tag 1.4.2
------------------------------------------------------------------------
r20097 | zbigniew | 2010-09-04 13:51:36 -0500 (Sat, 04 Sep 2010) | 1 line

args: copy to trunk
------------------------------------------------------------------------
r17555 | zbigniew | 2010-03-12 15:21:40 -0600 (Fri, 12 Mar 2010) | 1 line

args 1.4.2: drop broken args:make-operand-proc
------------------------------------------------------------------------
r17554 | zbigniew | 2010-03-12 14:31:56 -0600 (Fri, 12 Mar 2010) | 1 line

args: v1.4.1: allow numeric options (thanks to Sean D'Epagnier)
------------------------------------------------------------------------

comment:13 in reply to:  12 Changed 11 years ago by felix winkelmann

Replying to zbigniew:

Replying to felix:

Replying to zbigniew:

The recipe given above loses directory history in trunk/ (svn log is truncated) and loses directory and file history in tags/ (svn log foo.scm is truncated).

That isn't quite true.

It's exactly true. unix-sockets egg post-conversion:

Well, I'll be damned: you're right, Jim.

comment:14 Changed 11 years ago by felix winkelmann

Description: modified (diff)

comment:15 Changed 11 years ago by sjamaan

I think without the recipe the directories won't have the log history, but the files will. See the eggs I just converted:

  • rpc
  • free-gettext
  • sxml-templates

comment:16 Changed 11 years ago by sjamaan

eh, *with* the recipe, but without the script..

comment:17 Changed 11 years ago by felix winkelmann

Resolution: worksforme
Status: newclosed
Note: See TracTickets for help on using tickets.